package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import de.humance.eco.profile.model.VehicleAttributeDefinitionResource;
import de.humance.eco.profile.service.VehicleAttributeDefinitionResourceLocalServiceUtil;

/**
 * The extended model base implementation for the VehicleAttributeDefinitionResource service. Represents a row in the &quot;Profile_VehicleAttributeDefinitionResource&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link VehicleAttributeDefinitionResourceImpl}.
 * </p>
 *
 * @author Humance
 * @see VehicleAttributeDefinitionResourceImpl
 * @see de.humance.eco.profile.model.VehicleAttributeDefinitionResource
 * @generated
 */
public abstract class VehicleAttributeDefinitionResourceBaseImpl
    extends VehicleAttributeDefinitionResourceModelImpl
    implements VehicleAttributeDefinitionResource {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a vehicle attribute definition resource model instance should use the {@link VehicleAttributeDefinitionResource} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            VehicleAttributeDefinitionResourceLocalServiceUtil.addVehicleAttributeDefinitionResource(this);
        } else {
            VehicleAttributeDefinitionResourceLocalServiceUtil.updateVehicleAttributeDefinitionResource(this);
        }
    }
}
